Cancel an export job
curl --request POST \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/export-jobs/{job_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/export-jobs/{job_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/export-jobs/{job_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"org_slug": "<string>",
"slug": "<string>",
"name": "<string>",
"source": {
"dataset_kind": "catalog",
"dataset_id": "<string>",
"repo_id": "<string>",
"title": "<string>",
"source_revision": "<string>"
},
"recipe": {
"selected_episode_indices": [
123
],
"excluded_episode_indices": [
123
],
"first_n_episodes": 2,
"camera_keys": [
"<string>"
],
"crop": {
"left_pct": 50,
"top_pct": 50,
"width_pct": 99,
"height_pct": 99
},
"resize": {
"width": 123,
"height": 123,
"mode": "fit"
},
"action": {
"smoothing_window": 251,
"clip_min": 123,
"clip_max": 123,
"scale": 1
},
"annotation_set_id": "<string>",
"annotation_set_version": 2,
"notes": "<string>"
},
"export_artifacts": [
{
"key": "<string>",
"label": "<string>",
"path": "<string>",
"media_type": "<string>",
"status": "planned",
"checksum_sha256": "<string>",
"job_id": "<string>",
"error_message": "<string>"
}
],
"provenance": {},
"checksums": {},
"schema_version": "1.0.0",
"kind": "derived_dataset_version_manifest",
"project_slug": "default",
"version": 1,
"status": "materialization_required",
"lerobot_version": "v3",
"viewer_route": "<string>"
},
"jobs": [
{
"id": "<string>",
"org_slug": "<string>",
"version_id": "<string>",
"artifact_path": "<string>",
"requested_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"schema_version": "1.0.0",
"kind": "derived_dataset_export_job",
"project_slug": "default",
"status": "queued",
"checksum_sha256": "<string>",
"error_message": "<string>",
"size_bytes": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Exports
Cancel an export job
POST
/
api
/
v1
/
orgs
/
{org_slug}
/
derived-dataset-versions
/
{version_id}
/
export-jobs
/
{job_id}
/
cancel
Cancel an export job
curl --request POST \
--url https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/export-jobs/{job_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/export-jobs/{job_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/orgs/{org_slug}/derived-dataset-versions/{version_id}/export-jobs/{job_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item": {
"id": "<string>",
"org_slug": "<string>",
"slug": "<string>",
"name": "<string>",
"source": {
"dataset_kind": "catalog",
"dataset_id": "<string>",
"repo_id": "<string>",
"title": "<string>",
"source_revision": "<string>"
},
"recipe": {
"selected_episode_indices": [
123
],
"excluded_episode_indices": [
123
],
"first_n_episodes": 2,
"camera_keys": [
"<string>"
],
"crop": {
"left_pct": 50,
"top_pct": 50,
"width_pct": 99,
"height_pct": 99
},
"resize": {
"width": 123,
"height": 123,
"mode": "fit"
},
"action": {
"smoothing_window": 251,
"clip_min": 123,
"clip_max": 123,
"scale": 1
},
"annotation_set_id": "<string>",
"annotation_set_version": 2,
"notes": "<string>"
},
"export_artifacts": [
{
"key": "<string>",
"label": "<string>",
"path": "<string>",
"media_type": "<string>",
"status": "planned",
"checksum_sha256": "<string>",
"job_id": "<string>",
"error_message": "<string>"
}
],
"provenance": {},
"checksums": {},
"schema_version": "1.0.0",
"kind": "derived_dataset_version_manifest",
"project_slug": "default",
"version": 1,
"status": "materialization_required",
"lerobot_version": "v3",
"viewer_route": "<string>"
},
"jobs": [
{
"id": "<string>",
"org_slug": "<string>",
"version_id": "<string>",
"artifact_path": "<string>",
"requested_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"schema_version": "1.0.0",
"kind": "derived_dataset_export_job",
"project_slug": "default",
"status": "queued",
"checksum_sha256": "<string>",
"error_message": "<string>",
"size_bytes": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT for browsers, or nmp_ personal access token for CLI/SDK clients. Not accepted by ClerkSession-only operations.
Headers
⌘I

